// DigitalIO.cpp : ̨Ӧóڵ㡣
//

#include "stdafx.h"
#include <Windows.h>
#include "YKCat2.h"

#pragma   comment(lib,   "YKCat2.lib") 
static void print(RetCode result)
{
	if (RET_OK == result)
		return;

	printf("%d\r\n", result);
}

static int exit_cmd = 0;
static void IoTask()
{
	//ȴϵͳʼ
	while (!exit_cmd)
	{
		YKM_BusInfo busInfo;
		RetCode result = YKM_GetBusInfo(&busInfo);
		if (busInfo.running)
			break;
		Sleep(100);
	}

	while (!exit_cmd)
	{
		YKM_WriteDigitalOutputBit(0, 0, 1);
		Sleep(500);
		YKM_WriteDigitalOutputBit(0, 0, 0);
		Sleep(500);
	}
}

int main()
{
	RetCode result;
	int version = 0;

	result = YKM_GetVersion(&version);
	print(result);

	result = YKM_LoadLib();
	print(result);

	YKM_SysConfig config;
	result = YKM_GetSysConfig(&config);
	printf("input num: %d byte, output num: %d byte, axis num: %d\r\n",
		config.config_input_size, config.config_output_size, config.config_axis_num);

	DWORD dwThreadId = 0;
	CreateThread(NULL, (SIZE_T)NULL, (LPTHREAD_START_ROUTINE)IoTask, NULL, 0, &dwThreadId);

	while (1)
	{
		getchar();
		exit_cmd = 1;
		break;
	}
	return 0;
}