﻿using YKCat2;

namespace notimeIn
{
    class Program
    {
        static void Main(string[] args)
        {
            RetCode ret1 = ProCon.YKM_LoadLib();
            if (ret1 != RetCode.RET_OK)
            {
                NoLib.NoSys.PrintfCS($"YKM_LoadLib 失败({ret1})");
                return;
            }
            string key = "";
            var ret = MemOper.CreateShareMemory();
            if (ret != NoLib.NoCode.RET_OK)
            {
                NoLib.NoSys.PrintfCS($"CreateShareMemory Fails({ret})");
                return;
            }
            Worker.StartTask();
            while (NoLib.NoSys.ReadKey(out key) == NoLib.NoCode.RET_OK)
            {
                break;
            }
            Worker.StopTask();
            NoLib.NoSys.PrintfCS($"Exit");
        }
    }
}
