from ctypes import *
import YKCat2
import ctypes
from YKCat2 import *
import time

handle = CDLL("YKCat2.dll")
#加载库
result = handle.YKM_LoadLib()
print("load")
print(result)

#函数打印开关
result = handle.YKM_SetLogLevel(1)
print("a")
print(result)


#判断是否running
bus = YKM_BusInfo()
result = handle.YKM_GetBusInfo(pointer(bus))

while 0 == bus.running:
    handle.YKM_GetBusInfo(pointer(bus))
    pass



#IO输出函数
while True:
    #输出第0组第一个IO为ON
    ByteIndex = 0
    BitIndex = 0

    Value = c_int(1)
    Value = 1
    result = handle.YKM_WriteDigitalOutputBit(ByteIndex, BitIndex, Value)
    va = c_int(1)
    result = handle.YKM_ReadDigitalOutputBit(ByteIndex, BitIndex, pointer(va))
    print("输出第0组第一个IO为" + str(pointer(va)[0]) + "\n")

    #输出第一组IO全部为ON
    ByteIndex = 1
    Value = 0xff
    result = handle.YKM_WriteDigitalOutputByte(ByteIndex, Value)
    va = c_int(1)
    result = handle.YKM_ReadDigitalOutputByte(ByteIndex, pointer(va))
    print("输出第一组IO为" + str(pointer(va)[0])+ "\n")
    time.sleep(1)

    #输出第0组第一个IO为OFF
    ByteIndex = 0
    BitIndex = 0
    Value = 0
    result = handle.YKM_WriteDigitalOutputBit(ByteIndex, BitIndex, Value)
    result = handle.YKM_ReadDigitalOutputBit(ByteIndex, BitIndex, pointer(va))
    print("输出第0组第一个IO为" + str(pointer(va)[0])+ "\n")

    #输出第一组IO全部为OFF
    ByteIndex = 1
    Value = 0x00
    result = handle.YKM_WriteDigitalOutputByte(ByteIndex, Value)
    result = handle.YKM_ReadDigitalOutputByte(ByteIndex, pointer(va))
    print("输出第一组IO为" + str(pointer(va)[0])+ "\n")

    time.sleep(1)
    pass



#轴定位函数
flow = 0
axisSta = YKM_AxisStatus()
axisAbs = YKM_MoveAbsoluteConfig()
axisInc = YKM_MoveRelativeConfig()

#handle.YKM_SetAxisProfile(0, axisSta)
axisAbs.velocity = 100
axisAbs.acceleration = 1000
axisAbs.decelerateion = 10000

axis = 0
while True: 
    #绝对运动到10的位置
    if flow == 0:
        axisAbs.position = 100.0
        result = handle.YKM_MoveAbsolute(axis, axisAbs)
        print("去" +  str(axisAbs.position) + "的位置\n")
        flow = 1
    elif flow == 1:
        result = handle.YKM_ReadAxisInfo(axis, pointer(axisSta))
        if axisSta.Done != 0:
            flow = 2
            print("到达" +str(axisAbs.position) + "的位置\n")
    elif flow == 2:
        axisAbs.position = -100.0
        result = handle.YKM_MoveAbsolute(axis, axisAbs)
        print("去" + str(axisAbs.position)+ "的位置\n")
        flow = 3
    elif flow == 3:
        result = handle.YKM_ReadAxisInfo(axis, pointer(axisSta))
        if axisSta.Done != 0:
            flow = 0
            print("到达" + str(axisAbs.position) + "的位置\n")
    pass
