﻿using NoLib;
using System;
using YKCat2;

namespace notimeIn
{
    class Worker
    {
        /// <summary>
        /// 开启任务
        /// </summary>
        /// <returns></returns>
        public static void StartTask()
        {
            System.Threading.Thread th = new System.Threading.Thread(Start);
            th.Start();
        }

        /// <summary>
        /// 开启采集
        /// </summary>
        unsafe private static void Start()
        {
            uint val_set = 1;
            uint val_get = uint.MinValue;
            while (!mCancel)
            {
               var ret = ProCon.YKM_WriteDigitalOutputBit(0, 4, val_set);
                System.Threading.Thread.Sleep(1);
                ProCon.YKM_ReadDigitalInputBit(0, 3, out val_get);
                val_set = (val_set == 1) ? (uint)0 : 1;
                MemOper.ptr_config->times++;
                System.Threading.Thread.Sleep(1);
            }
        }

        /// <summary>
        /// 是否取消任务
        /// </summary>
        static bool mCancel = false;
        /// <summary>
        /// 取消任务
        /// </summary>
        public static void StopTask()
        {
            mCancel = true;
        }
    }
}
